#!/bin/bash

if [ `whoami` = 'root' ]; then
  echo "Please run this as Apache User!"
  exit 1
fi

DIRNAME=`dirname "$(readlink -f "$0")"`
cd $DIRNAME

if [ "$1" ];
   then CONF=../config/$1/conf.inc.php
   else CONF=../config/conf.inc.php
fi

if [ -f $CONF ];
   then
      PHP=`cat $CONF | grep php_path | sed "s/.*'\(.*\)';/\1/"`
      PHP_INI=`cat $CONF | grep php_ini | sed "s/.*'\(.*\)';/\1/"`
      $PHP -c $PHP_INI prepare_tests.php $1
   else
      echo "Config '$CONF' does not exists!"
      exit 1
fi

if [ -f /tmp/testcase ]; then
    rm /tmp/testcase
fi

for testcase in api/*
do
   echo $testcase;
   $PHP -c $PHP_INI phpunit.phar $testcase >> /tmp/testcase;
   if ! [ $? = 0 ]; then
       $PHP -c $PHP_INI phpunit.phar $testcase;
   else
       echo "OK";
   fi

done
